package com.heketai.website.entity;

import com.baomidou.mybatisplus.enums.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import java.io.Serializable;

/**
 * <p>
 * 专利 荣誉简介表
 * </p>
 *
 * @author zhangYong
 * @since 2026-06-01
 */
public class Brief extends Model<Brief> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 类型（0荣誉 1技术）
     */
    private Integer category;

    /**
     * 名称
     */
    private String name;

    /**
     * 简介介绍
     */
    private String brief;

    /**
     * 简介时间
     */
    @TableField("brief_time")
    private String briefTime;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;

    /**
     * 图片地址
     */
    private String url;

    /**
     * 语言（0中文1英文）
     */
    private Integer language;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 1：广东合科泰  2：集团合科泰
     */
    private Integer type;

    /**
     * 1:质量认证 2：ROHS证书 3：专利证书
     */
    private Integer typed;

    @TableField("is_hkt_china")
    private Integer isHktChina;

    @TableField("is_hkic")
    private Integer isHkic;

    @TableField("is_aho_china")
    private Integer isAhoChina;

    @TableField("is_honnec")
    private Integer isHonnec;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public Integer getCategory() {
        return category;
    }

    public void setCategory(Integer category) {
        this.category = category;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getBrief() {
        return brief;
    }

    public void setBrief(String brief) {
        this.brief = brief;
    }
    public String getBriefTime() {
        return briefTime;
    }

    public void setBriefTime(String briefTime) {
        this.briefTime = briefTime;
    }
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
    public Integer getLanguage() {
        return language;
    }

    public void setLanguage(Integer language) {
        this.language = language;
    }
    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
    public Integer getTyped() {
        return typed;
    }

    public void setTyped(Integer typed) {
        this.typed = typed;
    }
    public Integer getIsHktChina() {
        return isHktChina;
    }

    public void setIsHktChina(Integer isHktChina) {
        this.isHktChina = isHktChina;
    }
    public Integer getIsHkic() {
        return isHkic;
    }

    public void setIsHkic(Integer isHkic) {
        this.isHkic = isHkic;
    }
    public Integer getIsAhoChina() {
        return isAhoChina;
    }

    public void setIsAhoChina(Integer isAhoChina) {
        this.isAhoChina = isAhoChina;
    }
    public Integer getIsHonnec() {
        return isHonnec;
    }

    public void setIsHonnec(Integer isHonnec) {
        this.isHonnec = isHonnec;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Brief{" +
        "id=" + id +
        ", category=" + category +
        ", name=" + name +
        ", brief=" + brief +
        ", briefTime=" + briefTime +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", url=" + url +
        ", language=" + language +
        ", sort=" + sort +
        ", type=" + type +
        ", typed=" + typed +
        ", isHktChina=" + isHktChina +
        ", isHkic=" + isHkic +
        ", isAhoChina=" + isAhoChina +
        ", isHonnec=" + isHonnec +
        "}";
    }
}
